--<< ====================================================================== >>--
-- Setup Timers
--<< ====================================================================== >>--

Antagonist.spells.cooldowns = {
	-- racials and items
	[GetSpellInfo(20589)] =		{60,  "general", "physical"}, -- Escape Artist
	[GetSpellInfo(20554)] =		{120, "general", "physical"}, -- Berserking
	[GetSpellInfo(20594)] =		{180, "general", "physical"}, -- Stoneform
	[GetSpellInfo(7744)] =		{120, "general", "shadow"}, -- WOTF
	[GetSpellInfo(20549)] =		{120, "general", "physical"}, -- War Stomp
	[GetSpellInfo(746)] =		{60,  "general", "physical"}, -- First Aid

	-- druid
	[GetSpellInfo(5211)] =		{300,  "druid", "physical"}, -- Bash
	[GetSpellInfo(1850)] =		{300,  "druid", "physical"}, -- Dash
	[GetSpellInfo(16979)] =		{15,  "druid", "physical"}, -- Feral Charge
	[GetSpellInfo(22842)] =		{180, "druid", "physical"}, -- Frenzied Regeneration
	[GetSpellInfo(33831)] =		{180, "druid", "nature"}, -- Force of Nature
	[GetSpellInfo(16914)] =		{60,  "druid", "nature"}, -- Hurricane
	[GetSpellInfo(22570)] =		{10,  "druid", "physical"}, -- Maim
	[GetSpellInfo(16689)] =		{60,  "druid", "nature"}, -- Nature's Grasp
	[GetSpellInfo(17116)] =		{180, "druid", "nature"},  -- Nature's Swiftness
	[GetSpellInfo(18562)] =		{15,  "druid", "nature"}, -- Swiftmend
	[GetSpellInfo(740)] =		{300, "druid", "nature"}, -- Tranquility

	-- hunter
	[GetSpellInfo(19434)] =		{6,   "hunter", "physical"}, -- Aimed Shot
	[GetSpellInfo(3044)] =		{6,   "hunter", "physical"}, -- Arcane Shot
	[GetSpellInfo(19306)] =		{5,   "hunter", "physical"}, -- Counterattack
	[GetSpellInfo(34477)] =		{120, "hunter", "physical"}, -- Misdirection
	[GetSpellInfo(1495)] =		{5,   "hunter", "physical"}, -- Mongoose Bite
	[GetSpellInfo(2643)] =		{10,  "hunter", "physical"}, -- Multi-Shot
	[GetSpellInfo(34026)] =		{5,   "hunter", "physical"}, -- Kill Command
	[GetSpellInfo(2973)] =		{6,   "hunter", "physical"}, -- Raptor Strike
	[GetSpellInfo(19574)] =		{120, "hunter", "physical"}, -- Bestial Wrath
	[GetSpellInfo(5116)] =		{12,  "hunter", "physical"}, -- Concussive Shot
	[GetSpellInfo(19263)] =		{300, "hunter", "physical"}, -- Deterrence
	[GetSpellInfo(5384)] =		{30,  "hunter", "physical"}, -- Feign Death
	[GetSpellInfo(1499)] =		{30,  "hunter", "frost"}, -- Freezing Trap
	[GetSpellInfo(13809)] =		{30,  "hunter", "frost"}, -- Frost Trap
	[GetSpellInfo(13795)] =		{30,  "hunter", "fire"}, -- Immolation Trap
	[GetSpellInfo(19577)] =		{60,  "hunter", "physical"}, -- Intimidation
	[GetSpellInfo(3045)] =		{300, "hunter", "physical"}, -- Rapid Fire
	[GetSpellInfo(23989)] =		{300, "hunter", "physical"}, -- Readiness
	[GetSpellInfo(19503)] =		{30,  "hunter", "physical"}, -- Scatter Shot
	[GetSpellInfo(34490)] =		{20,  "hunter", "physical"}, -- Silencing Shot
	[GetSpellInfo(34600)] =		{30,  "hunter", "nature"},  -- Snake Trap
	[GetSpellInfo(1510)] =		{60,  "hunter", "physical"}, -- Volley
	[GetSpellInfo(19386)] =		{120, "hunter", "physical"}, -- Wyvern Sting

	-- mage
	[GetSpellInfo(12042)] =		{180, "mage", "arcane"}, -- Arcane Power
	[GetSpellInfo(11113)] =		{45,  "mage", "fire"}, -- Blast Wave
	[GetSpellInfo(11129)] =		{180, "mage", "fire"}, -- Combustion
	[GetSpellInfo(120)] =		{10,  "mage", "frost"}, -- Cone of Cold
	[GetSpellInfo(2139)] =		{24,  "mage", "arcane"}, -- Counterspell
	[GetSpellInfo(31661)] =		{20,  "mage", "fire"}, -- Dragon's Breath
	[GetSpellInfo(12043)] =		{180, "mage", "arcane"}, -- Presence of Mind
	[GetSpellInfo(1953)] =		{15,  "mage", "arcane"}, -- Blink
	[GetSpellInfo(2136)] =		{6.5, "mage", "fire"}, -- Fire Blast
	[GetSpellInfo(543)] =		{30,  "mage", "fire"}, -- Fire Ward
	[GetSpellInfo(6143)] =		{30,  "mage", "frost"}, -- Frost Ward
	[GetSpellInfo(122)] =		{21,  "mage", "frost"}, -- Frost Nova
	[GetSpellInfo(11426)] =		{30,  "mage", "frost"},  -- Ice Barrier
	[GetSpellInfo(45438)] =		{300, "mage", "frost"}, -- Ice Block
	[GetSpellInfo(31687)] =		{180, "mage", "frost"}, -- Summon Water Elemental

	-- paladin
	[GetSpellInfo(31935)] =		{30,  "paladin", "holy"}, -- Avenger's Shield
	[GetSpellInfo(31884)] =		{180, "paladin", "holy"}, -- Avenging Wrath
	[GetSpellInfo(1044)] =		{25,  "paladin", "holy"}, -- Blessing of Freedom
	[GetSpellInfo(1022)] =		{300, "paladin", "physical"}, -- Blessing of Protection
	[GetSpellInfo(26573)] =		{8,   "paladin", "holy"}, -- Consecration
	[GetSpellInfo(35395)] =		{10,  "paladin", "holy"}, -- Crusader Strike
	[GetSpellInfo(31842)] =		{180, "paladin","holy"}, -- Divine Illumination
	[GetSpellInfo(20216)] =		{120, "paladin", "holy"}, -- Divine Favor
	[GetSpellInfo(498)] =		{300, "paladin", "physical"}, -- Divine Protection
	[GetSpellInfo(642)] =		{300, "paladin", "physical"}, -- Divine Shield
	[GetSpellInfo(853)] =		{60,  "paladin", "magic"},  -- Hammer of Justice
	[GetSpellInfo(24275)] =		{6,   "paladin", "holy"}, -- Hammer of Wrath
	[GetSpellInfo(20925)] =		{10,  "paladin", "holy"}, -- Holy Shield
	[GetSpellInfo(20473)] =		{15,  "paladin", "holy"}, -- Holy Shock
	[GetSpellInfo(20271)] =		{10,  "paladin", "holy"}, -- Judgement
	[GetSpellInfo(20066)] =		{60,  "paladin", "physical"}, -- Repentance

	-- priest
	[GetSpellInfo(2944)] =		{180, "priest", "shadow"}, -- Devouring Plague
	[GetSpellInfo(2651)] =		{300, "priest", "magic"}, -- Elune's Grace
	[GetSpellInfo(6346)] =		{180,  "priest", "holy"}, -- Fear Ward
	[GetSpellInfo(14751)] =		{180, "priest", "magic"}, -- Inner Focus
	[GetSpellInfo(8092)] =		{5.5, "priest", "shadow"}, -- Mind Blast
	[GetSpellInfo(33206)] =		{180, "priest", "holy"}, -- Pain Suppression
	[GetSpellInfo(8122)] =		{26,  "priest", "shadow"}, -- Psychic Scream
	[GetSpellInfo(10060)] =		{180, "priest", "magic"}, -- Power Infusion
	[GetSpellInfo(17)] =		{15,  "priest", "magic"}, -- Power Word: Shield
	[GetSpellInfo(33076)] =		{10,  "priest", "holy"}, -- Prayer of Mending
	[GetSpellInfo(32379)] =		{6,   "priest", "shadow"}, -- Shadow Word: Death
	[GetSpellInfo(34433)] =		{300, "priest", "shadow"}, -- Shadowfiend
	[GetSpellInfo(15487)] =		{45,  "priest", "shadow"}, -- Silence
	[GetSpellInfo(32676)] =		{120, "priest", "holy"}, -- Consume Magic
	[GetSpellInfo(15286)] =		{10,  "priest", "shadow"}, -- Vampiric Embrace

	-- rogue
	[GetSpellInfo(13750)] =		{300, "rogue", "physical"}, -- Adrenaline Rush
	[GetSpellInfo(13877)] =		{120, "rogue", "physical"}, -- Blade Flurry
	[GetSpellInfo(2094)] =		{180, "rogue", "physical"}, -- Blind
	[GetSpellInfo(14177)] =		{180, "rogue", "physical"}, -- Cold Blood
	[GetSpellInfo(45182)] =		{60, "rogue", "physical"}, -- Cheating Death
	[GetSpellInfo(31224)] =		{60, "rogue", "physical"}, -- Cloak of Shadows
	[GetSpellInfo(5277)] =		{300, "rogue", "physical"}, -- Evasion
	[GetSpellInfo(14278)] =		{20,  "rogue", "physical"}, -- Ghostly Strike
	[GetSpellInfo(1776)] =		{10,  "rogue", "physical"}, -- Gouge
	[GetSpellInfo(1766)] =		{10,  "rogue", "physical"}, -- Kick
	[GetSpellInfo(408)] =		{20,  "rogue", "physical"}, -- Kidney Shot
	[GetSpellInfo(8643)] =		{20,  "rogue", "physical"}, -- Kidney Shot
	[GetSpellInfo(14183)] =		{120, "rogue", "physical"}, -- Premeditation
	[GetSpellInfo(14251)] =		{6,   "rogue", "physical"}, -- Riposte
	[GetSpellInfo(2983)] =		{300, "rogue", "physical"}, -- Sprint
	[GetSpellInfo(1856)] =		{300, "rogue", "physical"}, -- Vanish

	-- shaman
	[GetSpellInfo(421)] =		{6,   "shaman", "nature"}, -- Chain Lightning
	[GetSpellInfo(8042)] =		{5,   "shaman", "nature"}, -- Earth Shock
	[GetSpellInfo(16166)] =		{180, "shaman", "nature"}, -- Elemental Mastery
	[GetSpellInfo(1535)] =		{15,  "shaman", "fire"}, -- Fire Nova Totem
	[GetSpellInfo(8050)] =		{5,   "shaman", "fire"}, -- Flame Shock
	[GetSpellInfo(8056)] =		{5,   "shaman", "frost"}, -- Frost Shock
	[GetSpellInfo(8177)] =		{15,  "shaman", "magic"}, -- Grounding Totem
	[GetSpellInfo(16188)] =		{180, "shaman", "nature"}, -- Nature's Swiftness
	[GetSpellInfo(17364)] =		{20,  "shaman", "physical"}, -- Stormstrike
	[GetSpellInfo(30823)] =		{120, "shaman", "physical"}, -- Shamanistic Rage

	-- warlock
	[GetSpellInfo(18288)] =		{180, "warlock", "shadow"}, -- Amplify Curse
	[GetSpellInfo(34936)] =		{8,   "warlock", "shadow"}, -- Backlash
	[GetSpellInfo(17962)] =		{10,  "warlock", "fire"}, -- Conflagrate
	[GetSpellInfo(6789)] =		{120, "warlock", "shadow"}, -- Death Coil
	[GetSpellInfo(19505)] =		{8,   "warlock", "shadow"}, -- Devour Magic
	[GetSpellInfo(5484)] =		{40,  "warlock", "shadow"}, -- Howl of Terror
	[GetSpellInfo(17877)] =		{15,  "warlock", "shadow"}, -- Shadowburn
	[GetSpellInfo(6229)] =		{30,  "warlock", "shadow"}, -- Shadow Ward
	[GetSpellInfo(6360)] =		{4,   "warlock", "shadow"}, -- Soothing Kiss
	[GetSpellInfo(6353)] =		{60,  "warlock", "fire"}, -- Soul Fire
	[GetSpellInfo(19244)] =		{24,  "warlock", "shadow"}, -- Spell Lock
	[GetSpellInfo(30283)] =		{20,  "warlock", "shadow"}, -- Shadowfury


	-- warrior
        [GetSpellInfo(18499)] =		{30,  "warrior", "physical"}, -- Berserker Rage
	[GetSpellInfo(2687)] =		{30,  "warrior", "physical"}, -- Bloodrage
	[GetSpellInfo(23881)] =		{6,   "warrior", "physical"}, --Bloodthirst
	[GetSpellInfo(12809)] =		{45,  "warrior", "physical"}, -- Concussion Blow
	[GetSpellInfo(12292)] =		{180, "warrior", "physical"}, -- Death Wish
	[GetSpellInfo(20252)] =		{20,  "warrior", "physical"}, -- Intercept
	[GetSpellInfo(5246)] =		{180, "warrior", "physical"}, -- Intimidating Shout
	[GetSpellInfo(12294)] =		{6,   "warrior", "physical"}, --Mortal Strike
	[GetSpellInfo(7384)] =		{5,   "warrior", "physical"}, --Overpower
	[GetSpellInfo(6552)] =		{10,  "warrior", "physical"}, -- Pummel
	[GetSpellInfo(72)] =		{12,  "warrior", "physical"}, -- Shield Bash
	[GetSpellInfo(23922)] =		{6,   "warrior", "physical"}, --Shield Slam
	[GetSpellInfo(12328)] =		{30,  "warrior", "physical"}, -- Sweeping Strikes
	[GetSpellInfo(1680)] =		{10,  "warrior", "physical"}, -- Whirlwind
	[GetSpellInfo(23920)] =		{10,  "warrior", "physical"},  -- Spell Reflection
	[GetSpellInfo(3411)] =		{30,  "warrior", "physical"}, -- Intervene
}

